%zbroker run script

%% Inputs %%

%Fontsize for graphs
fsize = 16;

%Initialise portfolio p. All monetary values in k. Each element of
%p is a daily amount.
initial_fund_value = 1.00;

%Transaction loss (%)
L = 2;

%z values for buy and sell
zsell = 3; zbuy = -3;

%Model run string
model_run_str = 'T=10 20 40 60, L=2, z=3';

%Plot limits for cash and porfolio value /k
cash_max = 10;
value_max = 20;

%Run 1

%Size of transaction fund T (%)
T = 10;
legend_1 = 'T = 10%';
disp(' '); disp([' Simulation: ',legend_1])
[P1, portfolio_value1, portfolio_cash1] = run_simulation(initial_fund_value);

%Run 2

%Size of transaction fund T (%)
T = 20;
legend_2 = 'T = 20%';
disp(' '); disp([' Simulation: ',legend_2])
[P2, portfolio_value2, portfolio_cash2] = run_simulation(initial_fund_value);

%Run 3

%Size of transaction fund T (%)
T = 40;
legend_3 = 'T = 40%';
disp(' '); disp([' Simulation: ',legend_3])
[P3, portfolio_value3, portfolio_cash3] = run_simulation(initial_fund_value);

%Run 4

%Size of transaction fund T (%)
T = 60;
legend_4 = 'T = 60%';
disp(' '); disp([' Simulation: ',legend_4])
[P4, portfolio_value4, portfolio_cash4] = run_simulation(initial_fund_value);


