%zbroker run script

%% Inputs %%

%Fontsize for graphs
fsize = 16;

%Initialise portfolio p. All monetary values in k. Each element of
%p is a daily amount.
initial_fund_value = 1.00;

%Transaction loss (%)
L = 2;

%Size of transaction fund T (%)
T = 20;

%Model run string
model_run_str = 'z=1 2 3 4, T=20, L=2';

%Plot limits for cash and porfolio value /k
cash_max = 10;
value_max = 20;

%Run 1

%z values for buy and sell
zsell = 1; zbuy = -1;
legend_1 = 'zbuysell = 1';
disp(' '); disp([' Simulation: ',legend_1])
[P1, portfolio_value1, portfolio_cash1] = run_simulation(initial_fund_value);

%Run 2

%z values for buy and sell
zsell = 2; zbuy = -2;
legend_2 = 'zbuysell = 2';
disp(' '); disp([' Simulation: ',legend_2])
[P2, portfolio_value2, portfolio_cash2] = run_simulation(initial_fund_value);

%Run 3

%z values for buy and sell
zsell = 3; zbuy = -3;
legend_3 = 'zbuysell = 3';
disp(' '); disp([' Simulation: ',legend_3])
[P3, portfolio_value3, portfolio_cash3] = run_simulation(initial_fund_value);

%Run 4

%z values for buy and sell
zsell = 4; zbuy = -4;
legend_4 = 'zbuysell = 4';
disp(' '); disp([' Simulation: ',legend_4])
[P4, portfolio_value4, portfolio_cash4] = run_simulation(initial_fund_value);